# Configuring Environment Variables for the connectware-agent Helm Chart

To define a set of environment variables to be applied to the protocol-mapper agent, use the env list of `name` and `value` pairs inside the agents entry in the `protocolMapperAgents` section of your values.yaml file.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgents:
    - name: bender-robots
      connectwareHost: connectware.cybus # adjust to actual hostname of Connectware
      env:
          - name: CYBUS_PROTOCOL_MAPPER_PASSWORD
            value: ooth9oon7Taim]oo
          - name: CUSTOM_ENV_VARIABLE_FOO
            value: bar
```

{% endcode %}

## Unsetting protocolMapperAgentDefaults Environment Variables

If you used the list value `env` in the `protocolMapperAgentDefaults` section of your values.yaml file, you can unset them for individual agents by setting the value of `env` to `[]` inside the agents entry in the `protocolMapperAgents` context of your values.yaml.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgentDefaults:
    connectwareHost: connectware.cybus # adjust to actual hostname of Connectware
    env:
        - name: CUSTOM_ENV_VARIABLE_FOO
          value: bar
protocolMapperAgents:
    - name: bender-robots # this agent will have the ENV CUSTOM_ENV_VARIABLE_FOO
    - name: welder-robots # this agent will NOT have the ENV CUSTOM_ENV_VARIABLE_FOO
      env: []
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/1-10-2/documentation/agents/agents-in-kubernetes/configuring-agents-with-the-connectware-agent-helm-chart/configuring-environment-variables-for-the-connectware-agent-helm-chart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
